Как работать с node.js через snap?

На ноутбуке 11-го года установлен Дебиан 32бит, 64 не ставится. Нужно для VSCode установить плагины, которые требуют npm. Установить node.js на ноут никак не получилось кроме как через snap пакет. Но теперь не понятно, как там запустить npm.
установлен node 8.16.0 и можно запускать скрипты по команде snap run node ./example.js
snap run npm выдает ошибку:
error: cannot find current revision for snap npm: readlink /snap/npm/current: no such file or directory

Хотелось бы запускать npm и node без снэпа и я не уверен, что VSCode подхватит плагины установленные через snap

Как решить проблему?
  • Вопрос задан
  • 182 просмотра
Решения вопроса 1
Qwentor
@Qwentor
Веб-программист
Переношу из комментария в ответ тогда. Пометьте правильным, если не сложно.

У вас как-то странно репы ноды прописаны. Должно быть как-то так:
deb-src https://deb.nodesource.com/node_12.x bionic main

С указанием версии (у меня убунта)
Удалите ноду, удалите репы. Должны быть файлы в /etc/apt/sources.list.d или строки в /etc/apt/sources.list
Установите заново по инструкции:
https://github.com/nodesource/distributions#instal...
Ответ написан
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы
от 80 000 до 120 000 ₽
Plesk Новосибирск
от 90 000 до 150 000 ₽
Яндекс Москва
от 100 000 до 300 000 ₽
04 авг. 2020, в 08:36
2000 руб./за проект
04 авг. 2020, в 06:54
5000 руб./за проект
04 авг. 2020, в 03:17
1000 руб./за проект